Get all residents
Get all residents
Starting March 30, 2026, syncing the residents model from Yardi will only return residents modified within the last 2 days. This change applies to new customers only - if you have already built against the Yardi Get Residents endpoint that Propexo offers, your integration will not be affected. If you are a new customer and sync the residents model less frequently than once every 2 days, please contact support to avoid gaps in your data.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Deprecated: Use Propexo property_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
Filter by phone number (10 digit format only)

